freebsd-ports/lang/sml-nj-devel/files/patch-ab
Joseph Koshy b4b193d2e7 - Unbreak for 5-CURRENT
- calm processor warnings for assembler code on 5-CURRENT
- mark the Alpha as currently unsupported
- update WWW: link.

Submitted by:	Johannes 5 Joemann <joemann@beefree.free.de> [MAINTAINER]
2003-03-30 00:48:14 +00:00

58 lines
1.5 KiB
Text

--- config/install.sh.orig Thu Oct 17 15:07:53 2002
+++ config/install.sh Mon Mar 17 02:11:26 2003
@@ -550,6 +550,28 @@
######################################################################
#
+# do_patch patch-file
+# apply a patch file
+do_patch() {
+ patchfile=$FILESDIR/$1
+
+ if [ ! -r $patchfile ]; then
+ echo "$this: !!! patch file $patchfile not found."
+ exit 1;
+ fi
+
+ if [ ! -f $CONFIGDIR/.patch_$1 ]; then
+ $PATCH $PATCH_ARGS < $patchfile || {\
+ echo "$this: !!! patch file $patchfile failed to patch."
+ exit 1;
+ }
+ echo > $CONFIGDIR/.patch_$1
+ else
+ echo "$this: patch $patchfile already installed."
+ fi
+}
+
+#
# create the various sub directories
#
for dir in $BINDIR $HEAPDIR $RUNDIR $LIBDIR $SRCDIR ; do
@@ -656,6 +678,8 @@
# build the run-time system
#
unpack "run-time" $SRCDIR runtime runtime
+do_patch do-patch-src-genposixnames
+do_patch do-patch-src-mk.x86-freebsd
if [ -x $RUNDIR/run.$ARCH-$OPSYS ]; then
vsay $this: Run-time system already exists.
else
@@ -664,7 +688,7 @@
$MAKE -f mk.$ARCH-$OPSYS $EXTRA_DEFS
if [ -x run.$ARCH-$OPSYS ]; then
mv run.$ARCH-$OPSYS $RUNDIR
- $MAKE MAKE=$MAKE clean
+ [ "$MLNORUNTIMECLEAN" ] || $MAKE MAKE=$MAKE clean
else
complain "$this: !!! Run-time system build failed for some reason."
fi
@@ -728,6 +752,8 @@
do
unpack $src $ROOT/src $src $src
done
+ do_patch do-patch-src-makeml
+ do_patch do-patch-src-installml
;;
ml-yacc)
standalone ml-yacc ML-Yacc src